<?php if(!defined('PLX_ROOT')) exit; ?>
<style type="text/css">
#spxchildtheme_help img {
	margin:5px;
	border: 1px solid #999;
}
#spxchildtheme_help p {
	margin-bottom:5px;
}
#spxchildtheme_help pre {
	font-size:14px;
	border: 1px solid #999;
	padding: 20px;
	white-space: pre-wrap;
	word-wrap: break-word;
	background-color: #FFF;
}
#spxchildtheme_help .red {color:red;}


#spxchildtheme_help ul#tabnav {
	margin:25px 0 0 0;
	padding:0 0 20px 10px;
	border-bottom:1px solid #025b87
}
	#spxchildtheme_help  ul#tabnav li {
		margin:0;
		padding:0;
		display:inline;
		list-style-type:none;
		float:left
	}
	#spxchildtheme_help ul#tabnav a:link, ul#tabnav a:visited {
		line-height:14px;font-weight:bold;margin:0 10px 4px 10px;text-decoration:none;color:#0084c5
	}
	#spxchildtheme_help ul#tabnav li.active a:link, ul#tabnav li.active a:visited, ul#tabnav a:hover {
		border-bottom:4px solid #025b87;padding-bottom:2px;background:#fff;color:#025b87
	}
	#spxchildtheme_help ul#tabnav a:hover {
		color:#025b87
	}
#spxchildtheme_help h3 {
margin: 12px 0px 7px 0px;
padding: 0px;
font-size: 18px;
color: #555;
}
#spxchildtheme_help h4 {
margin: 12px 0px 7px 0px;
padding: 0px;
font-size: 15px;
color: #555;
}
#spxchildtheme_help ul,
#spxchildtheme_help ol {
  padding: 0;
  margin: 0 0 10px 25px;
  
}



#spxchildtheme_help li {
  line-height: 20px;
}

#spxchildtheme_help ul.unstyled,
#spxchildtheme_help ol.unstyled {
  margin-left: 0;
  list-style: none;
}

#spxchildtheme_help ul,
#spxchildtheme_help ul.inline,
#spxchildtheme_help ol.inline {
  margin-left: 0;
  list-style: none;
}

#spxchildtheme_help ul.inline > li,
#spxchildtheme_help ol.inline > li {
  display: inline-block;
  *display: inline;
  padding-right: 5px;
  padding-left: 5px;
  *zoom: 1;
}
#spxchildtheme_help li {background: url(../../plugins/spxchildtheme/img/list_arrow.png) no-repeat 0% 50%; padding: 0 0 0 16px;}

#spxchildtheme_help p {
	
}
</style>
<div id="spxchildtheme_help">
	<h3>Description :</h3>
    
    <p>Ce plugin va vous permettre de créer des thèmes enfants de vos thèmes préférés. Un peu à la manière de wordpress mais en beaucoup plus simple.</p>
    <p>Plus d'infos sur thèmes parents enfants ici : <a href="https://wpformation.com/theme-enfant-wordpress/" >theme-enfant-wordpress</a></p>
	
	<p>L'idée est d'avoir un thème parent et un thème enfant dans le dossier themes de pluxml : le thème enfant surcharge le css et/ou js du thème parent. C'est le thème enfant qui est le thème sélectionné.
La mise a jour du parent n'a aucune influence puisque la surchage est faite dans le thème enfant.</p>

	<p>Pour que ça fonctionne il faut installer ce plugin. Aucune configuration n'est nécessaire.</p>
	
	<h3>Mise en place du theme enfant :</h3>
	
    <p>Nous créons un dossier enfant dans themes themes/childdefault/</p>
	
	<p>Exemple : Dans le dossier childdefault et à la racine vous créer les fichiers suivants</p>
	
	
	
	<ul class="">
	
		<li>Un fichier child.css</li>
		<li>Un fichier child.js</li>
		<li>Un fichier child.php</li>
	
	</ul>
  
  <p>Pour les deux premiers c'est facile vous mettez respectivement votre css et javascript pour forcer le thème parent.</p>
  
  <p>Pour child.php vous éditez et vous mettez le nom du dossier de votre parent :</p>
  

  <pre>&lt;?php define('PLX_PARENT_THEME', 'defaut'); ?></pre>
	
	
	<h3>Mise en place du theme parent :</h3>
	
    <p>Nous allons maintenant rajouter deux hook dans le header du thème parent pour qu'il prenne en compte le css et js de l'enfant</p>
	
	   <p>Dans le thème default (parent) ouvrez le header.php:</p>
	   
	   <p>On commence par le css, à la place de : </p>
	   
		<pre>&lt;link rel=&quot;stylesheet&quot; href=&quot;&lt;?php $plxShow-&gt;template(); ?&gt;/css/plucss.css&quot; media=&quot;screen&quot;/&gt;<br />
&lt;link rel=&quot;stylesheet&quot; href=&quot;&lt;?php $plxShow-&gt;template(); ?&gt;/css/theme.css&quot; media=&quot;screen&quot;/&gt;</pre> 
	   
		<p>Vous ajouter le hook en dessous ce qui donne : </p>
		
		<pre>&lt;link rel=&quot;stylesheet&quot; href=&quot;&lt;?php $plxShow-&gt;template(); ?&gt;/css/plucss.css&quot; media=&quot;screen&quot;/&gt;<br />
&lt;link rel=&quot;stylesheet&quot; href=&quot;&lt;?php $plxShow-&gt;template(); ?&gt;/css/theme.css&quot; media=&quot;screen&quot;/&gt;<br />
&lt;?php echo ($plxShow-&gt;callHook('spxchildtheme::getcss')); ?&gt;
		</pre>
		
		<p>Puis le javascript : </p>

		<pre>&lt;?php echo ($plxShow-&gt;callHook('spxchildtheme::getjs')); ?&gt;</pre>
	
	<p>Il existe une deuxième solution plus simple pour le css</p>
	<p>dans child.php vous éditez et vous rajouter la constante suivante :</p>
  

	<pre>&lt;?php define('PLX_PARENT_THEME_PLUGIN_CSS', 'true'); ?></pre>
	
	<p>Le css sera chargé directement dans le thème parent via:  &lt;?php $plxShow->pluginsCss() ?>. Dans ce cas vous n'avez pas à mettre le hook spécifique (spxchildtheme::getcss) dans le thème parent.</p>
	
	
	<p>Ne pas oublier <strong>d'activer le thème enfant</strong> et non le thème parent !</p>
	
	
	<p>Simple non ?</p>