<?php
/**
 * Plugin spxchildtheme
 *
 * @package SPX
 * @version	
 * @date	30/11/2016
 * @author	EVRARD J
 **/
class spxchildtheme extends plxPlugin {
	
	
	/**
	 * Constructeur de la classe tynimce
	 *
	 * @param	default_lang	langue par dfaut utilise par PluXml
	 * @return	null
	 * @author	
	 **/
	public function __construct($default_lang) {
		
		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);
		
		# droits pour accder  la page config.php du plugin
		$this->initconfiguration();
		$this->setConfigProfil(PROFIL_ADMIN);
		$this->spxname="spxchildtheme";

		$this->childtheme="";
		# Dclarations des hooks
		/*
		http://forum.pluxml.org/viewtopic.php?id=5561
		1) lecture du child.php du thme enfant pour connaitre le parent
		2) redfinir le parent en tant que thme courant  pour la config de pluxml ($this->style = $this->aConf['style']; de motor via hook plxMotorConstruct)
		3) inclure child.css dans le thme parent a la suite du css si il existe via un hook spcifique li au plugin a placer dans le theme parent
		4) idem mais pour le javascript via un hook un hook spcifique au plugin a placer dans le theme parent

		*/
		//if(!defined('PLX_ADMIN')) {
			$this->addHook('plxMotorConstruct', 'plxMotorConstruct');
			$this->addHook('plxMotorPreChauffageEnd', 'plxMotorPreChauffageEnd');
			
			$this->addHook('spxchildtheme::getcss', 'getcss');
			$this->addHook('spxchildtheme::getjs', 'getjs');
			$this->addHook('plxShowPluginsCss', 'plxShowPluginsCss');
			
		//}
	}

	public function initconfiguration() {
		
	}
	
	# include shorcode librairy and parse all
	public function plxMotorConstruct() {
		// !preg_match("/parametres_themes.php/", $_SERVER["QUERY_STRING"])
		echo '<?php
			$configtheme = PLX_ROOT.$this->aConf["racine_themes"].$this->style."/child.php";
			
			if(file_exists($configtheme) AND filesize($configtheme) > 0) {
				
				if(!defined("PLX_ADMIN") || (defined("PLX_ADMIN") && !preg_match("/parametres_themes.php/", $_SERVER["REQUEST_URI"]))) {
					require($configtheme);
					$this->childstyle = $this->style;
					$this->aConf["style"] = PLX_PARENT_THEME;
					$this->style = PLX_PARENT_THEME;
					if(!defined("PLX_PARENT_THEME_PLUGIN_CSS")){
						define("PLX_PARENT_THEME_PLUGIN_CSS", false);
					}
				}
			}
		?>';
	}
	
	# include shorcode librairy and parse all
	public function plxMotorPreChauffageEnd() {
		/*
		echo '<?php
			if (isset($this->childstyle)){
				
				# check if a template exist in child theme if yes use it
				$childtemplate = PLX_ROOT.$this->aConf["racine_themes"].$this->childstyle."/".$this->template;
				echo ("childtemplate=".$childtemplate);
				if(file_exists($childtemplate) AND filesize($childtemplate) > 0) {
					$this->template = "../".$this->childstyle."/".$this->template;
					echo ("child home exist".$this->template);
				}
				
			}
			
		?>';
		*/
	}
	
	
	
	/**
	 * Mthode principale qui retourne le css
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public function getcss() {
		$plxMotor = plxMotor::getInstance();
		$hrefcss = $plxMotor->urlRewrite($plxMotor->aConf['racine_themes'].$plxMotor->childstyle)."/child.css";
		$s = '<link rel="stylesheet" href="'.$hrefcss.'" media="screen"/>';
		return $s;
	}
	
	/**
	 * Mthode principale qui retourne le js
	 *
	 * @return	string // html menu;
	 * @author	JE-EVRARD
	 **/
	public function getjs() {
		$plxMotor = plxMotor::getInstance();
		$hrefjs = $plxMotor->urlRewrite($plxMotor->aConf['racine_themes'].$plxMotor->childstyle)."/child.js";
		$s = '<script type="text/javascript" src="'.$hrefjs.'" ></script>';
		return $s;
	}
	
	public function plxShowPluginsCss() {
		if (defined("PLX_PARENT_THEME_PLUGIN_CSS") && PLX_PARENT_THEME_PLUGIN_CSS == true) echo ($this->getcss());
	}
	
}

?>